Imports System.Xml
Imports System.Xml.Serialization
Namespace SalesTools
    Public Enum ContactType As Integer
        Email = 1
        Phone = 2
    End Enum
    Public Class SalesLead
        Public Leads As New List(Of Lead)

        Public Sub New()

        End Sub
    End Class
    Public Class Lead
        <XmlAttribute("LeadID")> _
        Public LeadID As Integer
        <XmlAttribute("ContactID")> _
        Public ContactID As Integer
        <XmlAttribute("VehicleID")> _
        Public VehicleID As Integer
        <XmlAttribute("SiteID")> _
        Public SiteID As Integer
        Public Contact As Contact

        Public Sub New()

        End Sub
    End Class


    Public Class Contact
        <XmlAttribute("ContactMethod")> _
        Public BestContactMethod As ContactType
        <XmlAttribute("ID")> _
        Public ContactID As Integer
        Public FullName As String
        Public FirstName As String
        Public LastName As String
        Public Phone As String
        Public Email As String
        Public AddressLine1 As String
        Public City As String
        Public State As String
        Public Postal As Integer
        Public BestContactTime As String
        Public Vehicle As Vehicle

        Public Sub New()

        End Sub
    End Class

    Public Class Vehicle
        <XmlAttribute("ID")> _
        Public VehicleID As Integer
        Public Make As String
        Public Model As String
        Public Year As String
        Public Color As String
        Public VIN As String
        Public BasePrice As Double
        Public SRP As Double

        Public Sub New()

        End Sub
    End Class
End Namespace